use python_fcc_db_test;

drop table if exists microwave_license_header; 
create table microwave_license_header
(
      record_type               char(2)              not null,
      unique_system_identifier  numeric(9,0)         not null,
      uls_file_number           char(14)             null,
      ebf_number                varchar(30)          null,
      call_sign                 char(10)             null,
      license_status            char(1)              null,
      radio_service_code        char(2)              null,
      grant_date                char(10)             null,
      expired_date              char(10)             null,
      cancellation_date         char(10)             null,
      eligibility_rule_num      char(10)             null,
      applicant_type_code_reserved       char(1)              null,
      alien                     char(1)              null,
      alien_government          char(1)              null,
      alien_corporation         char(1)              null,
      alien_officer             char(1)              null,
      alien_control             char(1)              null,
      revoked                   char(1)              null,
      convicted                 char(1)              null,
      adjudged                  char(1)              null,
      involved_reserved      	char(1)              null,
      common_carrier            char(1)              null,
      non_common_carrier        char(1)              null,
      private_comm              char(1)              null,
      fixed                     char(1)              null,
      mobile                    char(1)              null,
      radiolocation             char(1)              null,
      satellite                 char(1)              null,
      developmental_or_sta      char(1)              null,
      interconnected_service    char(1)              null,
      certifier_first_name      varchar(20)          null,
      certifier_mi              char(1)              null,
      certifier_last_name       varchar(20)          null,
      certifier_suffix          char(3)              null,
      certifier_title           char(40)             null,
      gender                    char(1)              null,
      african_american          char(1)              null,
      native_american           char(1)              null,
      hawaiian                  char(1)              null,
      asian                     char(1)              null,
      white                     char(1)              null,
      ethnicity                 char(1)              null,
      effective_date            char(10)             null,
      last_action_date          char(10)             null,
      auction_id                int                  null,
      reg_stat_broad_serv       char(1)              null,
      band_manager              char(1)              null,
      type_serv_broad_serv      char(1)              null,
      alien_ruling              char(1)              null,
      licensee_name_change	char(1)		     null,
      whitespace_ind            char(1)              null,
      additional_cert_choice    char(1)              null,
      additional_cert_answer    char(1)              null,
      discontinuation_ind       char(1)              null,
      regulatory_compliance_ind char(1)              null,
      eligibility_cert_900        char(1)              null,
      transition_plan_cert_900    char(1)              null,
      return_spectrum_cert_900  char(1)              null,
      payment_cert_900        char(1)              null
);

select 'Creating License Header table' as '';
load data infile '/vagrant/data/fcc_l_micro/HD.dat'
ignore
into table microwave_license_header fields terminated by '|' ENCLOSED BY '' ESCAPED BY '' lines terminated by '\n'
(@record_type, @unique_system_identifier, @uls_file_number, @ebf_number, @call_sign, @license_status, @radio_service_code, @grant_date, @expired_date, @cancellation_date, @eligibility_rule_num, @applicant_type_code_reserved, @alien, @alien_government, @alien_corporation, @alien_officer, @alien_control, @revoked, @convicted, @adjudged, @involved_reserved, @common_carrier, @non_common_carrier, @private_comm, @fixed, @mobile, @radiolocation, @satellite, @developmental_or_sta, @interconnected_service, @certifier_first_name, @certifier_mi, @certifier_last_name, @certifier_suffix, @certifier_title, @gender, @african_american, @native_american, @hawaiian, @asian, @white, @ethnicity, @effective_date, @last_action_date, @auction_id, @reg_stat_broad_serv, @band_manager, @type_serv_broad_serv, @alien_ruling, @licensee_name_ch, @whitespace_ind, @additional_cert_choice, @additional_cert_answer, @discontinuation_ind, @regulatory_compliance_ind, @eligibility_cert_900, @transition_plan_cert_900, @return_spectrum_cert_900, @payment_cert_900)
set
record_type = if(@record_type='', null, @record_type),
unique_system_identifier = if(@unique_system_identifier='', null, @unique_system_identifier),
uls_file_number = if(@uls_file_number='', null, @uls_file_number),
ebf_number = if(@ebf_number='', null, @ebf_number),
call_sign = if(@call_sign='', null, @call_sign),
license_status = if(@license_status='', null, @license_status),
radio_service_code = if(@radio_service_code='', null, @radio_service_code),
grant_date = if(@grant_date='', null, @grant_date),
expired_date = if(@expired_date='', null, @expired_date),
cancellation_date = if(@cancellation_date='', null, @cancellation_date),
eligibility_rule_num = if(@eligibility_rule_num = '', null, @eligibility_rule_num),
applicant_type_code_reserved = if(@applicant_type_code_reserved = '', null, @applicant_type_code_reserved),
alien = if(@alien = '', null, @alien),
alien_government = if(@alien_government = '', null, @alien_government),
alien_officer = if(@alien_officer = '', null, @alien_officer),
alien_control = if(@alien_control = '', null, @alien_control),
revoked = if(@revoked='', null, @revoked),
convicted = if(@convicted='', null, @convicted),
adjudged = if(@adjudged='', null, @adjudged),
involved_reserved = if(@involved_reserved='', null, @involved_reserved),
common_carrier = if(@common_carrier='', null, @common_carrier),
non_common_carrier = if(@non_common_carrier='', null, @non_common_carrier),
private_comm = if(@private_comm='', null, @private_comm),
fixed = if(@fixed='', null, @fixed),
mobile = if(@mobile='', null, @mobile),
radiolocation = if(@radiolocation='', null, @radiolocation),
satellite = if(@satellite='', null, @satellite),
developmental_or_sta = if(@developmental_or_sta='', null, @developmental_or_sta),
interconnected_service = if(@interconnected_service='', null, @interconnected_service),
certifier_first_name = if(@certifier_first_name='', null, @certifier_first_name),
certifier_mi = if(@certifier_mi='', null, @certifier_mi),
certifier_last_name = if(@certifier_last_name='', null, @certifier_last_name),
certifier_suffix = if(@certifier_suffix='', null, @certifier_suffix),
certifier_title = if(@certifier_title='', null, @certifier_title),
gender = if(@gender='', null, @gender),
african_american = if(@african_american='', null, @african_american),
native_american = if(@native_american='', null, @native_american),
hawaiian = if(@hawaiian='', null, @hawaiian),
asian = if(@asian='', null, @asian),
white = if(@white='', null, @white),
ethnicity = if(@ethnicity='', null, @ethnicity),
effective_date = if(@effective_date='', null, @effective_date),
last_action_date = if(@last_action_date='', null, @last_action_date),
auction_id = if(@auction_id='', null, @auction_id),
reg_stat_broad_serv = if(@reg_stat_broad_serv='', null, @reg_stat_broad_serv),
band_manager = if(@band_manager='', null, @band_manager),
type_serv_broad_serv = if(@type_serv_broad_serv='', null, @type_serv_broad_serv),
alien_ruling = if(@alien_ruling='', null, @alien_ruling),
licensee_name_change = if(@licensee_name_change='', null, @licensee_name_change),
whitespace_ind = if(@whitespace_ind='', null, @whitespace_ind),
additional_cert_choice = if(@additional_cert_choice='', null, @additional_cert_choice),
additional_cert_answer = if(@additional_cert_answer='', null, @additional_cert_answer),
discontinuation_ind = if(@discontinuation_ind='', null, @discontinuation_ind),
regulatory_compliance_ind = if(@regulatory_compliance_ind='', null, @regulatory_compliance_ind),
eligibility_cert_900 = if(@eligibility_cert_900='', null, @eligibility_cert_900),
transition_plan_cert_900 = if(@transition_plan_cert_900='',null, @transition_plan_cert_900),
return_spectrum_cert_900 = if(@return_spectrum_cert_900='', null, @return_spectrum_cert_900),
payment_cert_900 = if(@payment_cert_900='', null, @payment_cert_900);

